<?php
require_once('config.php');
require_once(DIR_SYSTEM . 'library/db.php');
$db = new DB(DB_DRIVER, DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);
 	
// create product alias
$query_product = $db->query("SELECT * FROM " . DB_PREFIX . "product_description");
foreach ($query_product->rows as $result) {

	$query_alias = $db->query("SELECT * FROM " . DB_PREFIX . "url_alias WHERE `query` = 'product_id=" . (int)$result['product_id'] . "'");
	if (!$query_alias->num_rows) {
		$db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'product_id=" . (int)$result['product_id'] . "', `keyword` = '" . title2uri($result['name']) ."'");
	}						
}

// create category alias
$query_category = $db->query("SELECT * FROM " . DB_PREFIX . "category_description");
foreach ($query_category->rows as $result) {
//echo "string";
	$query_alias = $db->query("SELECT * FROM " . DB_PREFIX . "url_alias WHERE `query` = 'category_id=" . (int)$result['category_id'] . "'");
	if (!$query_alias->num_rows) {
		$db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'category_id=" . (int)$result['category_id'] . "', `keyword` = '" . title2uri($result['name']) ."'");
		echo "<br>";
		echo "INSERT INTO " . DB_PREFIX . "url_alias SET query = 'category_id=" . (int)$result['category_id'] . "', `keyword` = '" . title2uri($result['name']) ."'";
		echo "<br>";
	}						
}

// create information alias
$query_information = $db->query("SELECT * FROM " . DB_PREFIX . "information_description");
foreach ($query_information->rows as $result) {

	$query_alias = $db->query("SELECT * FROM " . DB_PREFIX . "url_alias WHERE `query` = 'information_id=" . (int)$result['information_id'] . "'");
	if (!$query_alias->num_rows) {
		$db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'information_id=" . (int)$result['information_id'] . "', `keyword` = '" . title2uri($result['title']) ."'");
	}						
}

// create manufacturer alias
$query_manufacturer = $db->query("SELECT * FROM " . DB_PREFIX . "manufacturer");
foreach ($query_manufacturer->rows as $result) {

	$query_alias = $db->query("SELECT * FROM " . DB_PREFIX . "url_alias WHERE `query` = 'manufacturer_id=" . (int)$result['manufacturer_id'] . "'");
	if (!$query_alias->num_rows) {
		$db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'manufacturer_id=" . (int)$result['manufacturer_id'] . "', `keyword` = '" . title2uri($result['name']) ."'");
	}						
}

/*
function title2uri($sValue) {
	return str_replace(
		array('&', '/', '\\', '"', '+',' '), 
		array('-', '-', '-', '-', '-','-'), 
		$sValue
	);
}
*/


function rus2translit($string) {
    $converter = array(
        'а' => 'a',   'б' => 'b',   'в' => 'v',
        'г' => 'g',   'д' => 'd',   'е' => 'e',
        'ё' => 'e',   'ж' => 'zh',  'з' => 'z',
        'и' => 'i',   'й' => 'y',   'к' => 'k',
        'л' => 'l',   'м' => 'm',   'н' => 'n',
        'о' => 'o',   'п' => 'p',   'р' => 'r',
        'с' => 's',   'т' => 't',   'у' => 'u',
        'ф' => 'f',   'х' => 'h',   'ц' => 'c',
        'ч' => 'ch',  'ш' => 'sh',  'щ' => 'sch',
        'ь' => '\'',  'ы' => 'y',   'ъ' => '\'',
        'э' => 'e',   'ю' => 'yu',  'я' => 'ya',

        'А' => 'A',   'Б' => 'B',   'В' => 'V',
        'Г' => 'G',   'Д' => 'D',   'Е' => 'E',
        'Ё' => 'E',   'Ж' => 'Zh',  'З' => 'Z',
        'И' => 'I',   'Й' => 'Y',   'К' => 'K',
        'Л' => 'L',   'М' => 'M',   'Н' => 'N',
        'О' => 'O',   'П' => 'P',   'Р' => 'R',
        'С' => 'S',   'Т' => 'T',   'У' => 'U',
        'Ф' => 'F',   'Х' => 'H',   'Ц' => 'C',
        'Ч' => 'Ch',  'Ш' => 'Sh',  'Щ' => 'Sch',
        'Ь' => '\'',  'Ы' => 'Y',   'Ъ' => '\'',
        'Э' => 'E',   'Ю' => 'Yu',  'Я' => 'Ya',
    );
    return strtr($string, $converter);
}

function title2uri($str) {
    $str = rus2translit($str); // переводим в транслит
    $str = strtolower($str); // в нижний регистр
    $str = preg_replace('~[^-a-z0-9_]+~u', '-', $str);	// заменям все ненужное нам на "-"
    $str = trim($str, "-");  // удаляем начальные и конечные '-'
    return $str;
}




echo 'All url rewrite done!';
?>